class_name Capsule
extends Node2D
## Contient un pouvoir qui se declenche au contact de la raquette


const VITESSE_DESCENTE: float = 50.0 # px / sec


func _physics_process(delta: float) -> void:
	_descendre(delta)


func _descendre(delta: float) -> void:
	position.y += VITESSE_DESCENTE * delta


func _auto_detruire() -> void:
	print("Capsule perdue")
	queue_free()


func _quand_verificateur_visibilite_detecte_sortie_ecran():
	_auto_detruire()


# todo : auto-destruction si hors-limite
